Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.Messaging
Class ReplyStartTimePolicyHelper

    java.lang.Object
      |
      +--org.omg.Messaging.ReplyStartTimePolicyHelper

public class ReplyStartTimePolicyHelper
extends java.lang.Object

Helper class for : ReplyStartTimePolicy

Author:
  OpenORB Compiler

Constructor Summary
`ReplyStartTimePolicyHelper()`

Method Summary
`static ReplyStartTimePolicy` | `extract(Any a)` Extract ReplyStartTimePolicy from an any
`static java.lang.String` | `id()` Return the ReplyStartTimePolicy IDL ID
`static void` | `insert(Any a, ReplyStartTimePolicy t)` Insert ReplyStartTimePolicy into an any
`static ReplyStartTimePolicy` | `narrow(Object obj)` Narrow CORBA::Object to ReplyStartTimePolicy
`static ReplyStartTimePolicy` | `read(InputStream istream)` Read ReplyStartTimePolicy from a marshalled stream
`static TypeCode` | `type()` Return the ReplyStartTimePolicy TypeCode
`static ReplyStartTimePolicy` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ReplyStartTimePolicy
`static void` | `write(OutputStream ostream, ReplyStartTimePolicy value)` Write ReplyStartTimePolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplyStartTimePolicyHelper

    public ReplyStartTimePolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ReplyStartTimePolicy t)

  Insert ReplyStartTimePolicy into an any
  Parameters:
    `a` - an any
    `t` - ReplyStartTimePolicy value

### extract

    public static ReplyStartTimePolicy extract(Any a)

  Extract ReplyStartTimePolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ReplyStartTimePolicy value

### type

    public static TypeCode type()

  Return the ReplyStartTimePolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ReplyStartTimePolicy IDL ID
  Returns:
    an ID

### read

    public static ReplyStartTimePolicy read(InputStream istream)

  Read ReplyStartTimePolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ReplyStartTimePolicy value

### write

    public static void write(OutputStream ostream,
                             ReplyStartTimePolicy value)

  Write ReplyStartTimePolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ReplyStartTimePolicy value

### narrow

    public static ReplyStartTimePolicy narrow(Object obj)

  Narrow CORBA::Object to ReplyStartTimePolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ReplyStartTimePolicy Object

### unchecked_narrow

    public static ReplyStartTimePolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ReplyStartTimePolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ReplyStartTimePolicy Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD